/***************************************************************************
 * Copyright 2001-2003 The eXo Platform SARL         All rights reserved.  *
 * Please look at license.txt in info directory for more license detail.   *
 **************************************************************************/
package org.exoplatform.faces.core.renderer.html;

import java.util.Map;

import javax.faces.component.UIComponent;
import javax.faces.context.FacesContext;

import org.exoplatform.faces.FacesConstants;
import org.exoplatform.faces.core.component.UIExoComponent;
import org.exoplatform.faces.core.component.UINode;

public  class VelocityNodeMenuRenderer extends VelocityRenderer {
  public void decode(FacesContext context, UIComponent component) {
    Map paramMap = context.getExternalContext().getRequestParameterMap() ;
    String action = (String) paramMap.get(FacesConstants.ACTION) ;
    if (UINode.SELECT_NODE_ACTION.equals(action)) {
      String nodeId = (String) paramMap.get(UINode.OBJECTID) ;
      UIExoComponent uiComponent = (UIExoComponent) component ;
      UIExoComponent target = uiComponent.findComponentById(nodeId);
      if(target != null) {
        UINode uiNode = (UINode) target.getParent() ;
        uiNode.setRenderedComponent(nodeId) ;
        context.renderResponse() ;
      }
    }
  }
}