/***************************************************************************
 * Copyright 2001-2003 The eXo Platform SARL         All rights reserved.  *
 * Please look at license.txt in info directory for more license detail.   *
 **************************************************************************/
package org.exoplatform.portal.faces.component;

import javax.faces.component.UIComponent;

import org.exoplatform.faces.core.component.UINode;
/**
 * Date: Aug 11, 2003
 * @author: Tuan Nguyen
 * @email:   tuan08@users.sourceforge.net
 * @version: $Id: UIBasicComponent.java,v 1.10 2004/09/26 02:25:46 tuan08 Exp $
 */
public class UIPortletConfig extends UINode {
  
  public UIPortletConfig() throws Exception {
    setRendererType("VelocityNodeMenuRenderer") ;
    setTemplatePath("org/exoplatform/faces/core/renderer/html/UIFirstTabLevel.vm") ;
    
    addChild(UIPortletForm.class) ;
    addChild(UIPortletPreferencesForm.class).setRendered(false) ;
  }
 
  public void setEditingPortlet(UIComponent returnComponent, UIPortlet uiPortlet) throws Exception {
    UIPortletForm uiPortletForm = 
      (UIPortletForm) getChildComponentOfType(UIPortletForm.class) ;
    uiPortletForm.setEditingPortlet(returnComponent, uiPortlet) ;
    UIPortletPreferencesForm uiPreferencesForm = 
      (UIPortletPreferencesForm)  getChildComponentOfType(UIPortletPreferencesForm.class) ;
    uiPreferencesForm.setEditingPortlet(returnComponent, uiPortlet) ;
  }
}