/***************************************************************************
 * Copyright 2001-2003 The eXo Platform SARL         All rights reserved.  *
 * Please look at license.txt in info directory for more license detail.   *
 **************************************************************************/
package org.exoplatform.portlets.backup.component;

import org.exoplatform.faces.core.component.UIPortlet;
import org.exoplatform.faces.core.component.UINode ;
/**
 * May 31, 2004 
 * @author: Tuan Nguyen
 * @email:   tuan08@users.sourceforge.net
 * @version: $ID$
 **/
public class UIBackupPortlet extends UIPortlet {
	
	public UIBackupPortlet() throws Exception {
    try {
		setId("UIBackupPortlet") ;
		setClazz("UIBackupPortlet") ;
		//setRendererType("PyramidTabBarRenderer");
    setRendererType("VelocityNodeMenuRenderer");
    setTemplatePath("org/exoplatform/faces/core/renderer/html/UIFirstTabLevel.vm");
    addChild(UIExportData.class) ;
    
    UINode userNode = (UINode)addChild(UINode.class) ;
    userNode.setRendered(false) ;
    userNode.setId("UIImportUserDataNode") ;
    userNode.setRendererType("ChildrenRenderer") ; 
    userNode.addChild(UIImportUserData.class) ;
    userNode.getChildren().add(new UIData(UIImportUserData.class)) ;

    UINode serviceNode = (UINode)addChild(UINode.class) ;
    serviceNode.setRendered(false) ;
    serviceNode.setId("UIImportServiceDataNode") ;
    serviceNode.setRendererType("ChildrenRenderer") ; 
    serviceNode.addChild(UIImportServiceData.class) ;
    serviceNode.getChildren().add(new UIData(UIImportServiceData.class)) ;
    } catch (Throwable t) {
      t.printStackTrace() ;
    }
	}
}