<!-- use dhtml-mode-menu.vm groovy-->
<%
	expandIcon = res.getString("UIMenu.icon.expand") ;
	collapseIcon = res.getString("UIMenu.icon.collapse") ;
	leafIcon = res.getString("UIMenu.icon.leaf") ;
	ownerURI = uicomponent.getOwnerURI() ;
	root = uicomponent.getRootNode() ;
	selectedNode = uicomponent.getSelectedNode() ;

	void renderNode(node) {
		println "<ul>"
		for(child in node.getChildren()) {
			if(child.getChildrenSize() > 0) {
		 		if(child.isExpanded()) {
		 			println "<li>${jsf.jsfLink(collapseIcon, uicomponent.selectNodeParams, child.getUri())}" 
		 	  } else {
		 	  	println "<li>${jsf.jsfLink(expandIcon, uicomponent.selectNodeParams, child.getUri())}"
		 		}
	 		} else {
	    	println "<li>$leafIcon"
	    }
	    println "<a href='${ownerURI}${child.getUri()}'>${child.getResolvedLabel()}</a>"
	    if (child.isExpanded()) {
	      renderNode(child)
	    }
	    println "</li>"
	  }
		println "</ul>"
	}
%>

<div class='UIMenu'>
	<div class='root'><a href='$ownerURI'>${root.getResolvedLabel()}</a></div>
	<%renderNode(root)%>
</div>
