/**
 * Copyright 2001-2003 The eXo Platform SARL         All rights reserved.
 * Please look at license.txt in info directory for more license detail.
 **/
package org.exoplatform.services.portal.impl;

import java.util.List;

import org.exoplatform.container.configuration.ConfigurationManager;
import org.exoplatform.container.xml.InitParams;
import org.exoplatform.services.database.HibernateService;
import org.exoplatform.services.organization.User;
import org.exoplatform.services.organization.UserEventListener;
import org.hibernate.Session;
/**
 * Author : Tuan Nguyen
 *          tuan08@users.sourceforge.net
 * Wed, Feb 18, 2004 @ 21:33 
 */
public class PortalUserEventListenerImpl extends UserEventListener {
  //private String templateConfig_;
  //private String templatePageSet_ ;
  //private String templateNavigation_ ;
  
  //private NewPortalConfig config_ ;
  //private ConfigurationManager cservice_ ;
  private PortalConfigServiceImpl pservice_ ;
  private HibernateService hservice_ ;
  
  public PortalUserEventListenerImpl(PortalConfigServiceImpl pservice,
                                     ConfigurationManager cservice, 
                                     HibernateService hservice,
                                     InitParams params) throws Exception {
    //cservice_ = cservice ;
    pservice_ = pservice ;
    hservice_ = hservice ;
    /*
    config_ = (NewPortalConfig) params.getObjectParamValues(NewPortalConfig.class).get(0) ;
    String templateUser = config_.getTemplateUser() ;
    String templateLoc = config_.getTemplateLocation() ;
    String xml = 
    	IOUtil.getStreamContentAsString(cservice.getInputStream(config_.getTemplateLocation() + "/templates.xml"));
  	pservice.initPredefinedTemplates(xml) ;
  	
    InputStream is = cservice.getInputStream(templateLoc + "/" + templateUser + "-config.xml") ;
    templateConfig_ =  	IOUtil.getStreamContentAsString(is);
    is = cservice.getInputStream(templateLoc + "/" + templateUser + "-pages.xml") ;
    templatePageSet_ =   	IOUtil.getStreamContentAsString(is);
    is  = cservice.getInputStream(templateLoc + "/" + templateUser + "-navigation.xml") ;
    templateNavigation_ =   IOUtil.getStreamContentAsString(is);
    */
  }
 
  public void preSave(User user, boolean isNew) throws Exception {    
    /*if(!isNew)  return ;    
    String owner = user.getUserName();
    String config = null ;
    String pageSet = null ;
    String navigation = null ;    
    if(config_.isPredefinedUser(owner)) {     
      String location = config_.getTemplateLocation() ;
      config = 
        IOUtil.getStreamContentAsString(cservice_.getInputStream(location + "/" + owner + "-config.xml"));
      pageSet = 
        IOUtil.getStreamContentAsString(cservice_.getInputStream(location + "/" + owner + "-pages.xml"));
      navigation = 
        IOUtil.getStreamContentAsString(cservice_.getInputStream(location + "/" + owner + "-navigation.xml"));
    } else {     
      config = StringUtils.replace( templateConfig_, "@owner@", owner);
      pageSet = StringUtils.replace( templatePageSet_, "@owner@", owner);
      navigation = StringUtils.replace( templateNavigation_, "@owner@", owner);
    }    
    Session session = hservice_.openSession() ;
    session.save(new PortalConfigData(config));    
    session.save( new NodeNavigationData(navigation));    
    PageSet ps = (PageSet) PortalConfigServiceImpl.fromXML(pageSet, PageSet.class);
    List pages = ps.getPages() ;    
    for (int i = 0 ; i <  pages.size(); i++) {
      Page page = (Page) pages.get(i) ;
      session.save(new PageData(page)) ;
    }
    session.flush() ;
    */   
//    PortalConfigData data = 
//      (PortalConfigData)session.get(PortalConfigData.class, user.getUserName());
//    System.out.println( data.getData());
  }

  public void preDelete(User user) throws Exception {
    Session session = hservice_.openSession() ;
    String owner = user.getUserName();
//    session.delete(PortalConfigServiceImpl.queryPageDataByOwner, owner, Hibernate.STRING);
    List entries = 
      session.createQuery(PortalConfigServiceImpl.queryPageDataByOwner).setString(0, owner).list();
    for(int i=0; i<entries.size(); i++) 	{
      if( entries.get(i) != null) session.delete(entries.get(i));
    }
    Object obj = session.get(PortalConfigData.class, owner) ;
    if( obj != null) session.delete(obj);
    if( obj != null) session.delete(session.get(NodeNavigationData.class, owner)) ;
    session.flush() ;
    pservice_.onModifiedOwner(owner) ;
  } 
}
