/***************************************************************************
 * Copyright 2001-2003 The eXo Platform SARL         All rights reserved.  *
 * Please look at license.txt in info directory for more license detail.   *
 **************************************************************************/
package org.exoplatform.services.portal.log.impl;


import java.util.Collection;
import java.util.List;

import org.exoplatform.commons.utils.PageList;
import org.exoplatform.services.portal.log.UserActivitiesLogService;
import org.exoplatform.services.portal.log.UserLogQuery;

/**
 * @author Hung Nguyen (nqhungvn@users.sourceforge.net)
 * @since Sept 26, 2005
 * @version $Id$
 */
public class UserActivitiesLogServiceImpl implements UserActivitiesLogService {
  private UserActivitiesLogPlugin  userPlugin_ ;
  
  public UserActivitiesLogServiceImpl() throws Exception {
    //jsService_ = jsService ;
    //jsService_.addPeriodJob(new JobInfo(PeriodicSaveLogDataJob.class), 0 , 2*1000) ;
    /*GregorianCalendar calendar = new GregorianCalendar() ;
    long milliSecond = calendar.getTimeInMillis() ;
    int currentHour = calendar.get(GregorianCalendar.HOUR_OF_DAY) ;
    calendar.set(GregorianCalendar.HOUR_OF_DAY, currentHour + 1) ;
    calendar.set(GregorianCalendar.MINUTE, 0) ;
    calendar.set(GregorianCalendar.SECOND, 0) ;
    calendar.set(GregorianCalendar.MILLISECOND, 0) ; 
    jsService_.addPeriodJob(new JobInfo(PeriodicComputeTimeSlotJob.class), 2 ,calendar.getTimeInMillis() - milliSecond) ;
    System.out.println(" The miliSecond time is: " + (calendar.getTimeInMillis() - milliSecond)) ;
    */
  }  
  
  public void setUserLogActivitiesPlugin(UserActivitiesLogPlugin plugin) {
    userPlugin_ = plugin ;
  }
  
  public void logUserActivites(String sessionId, String userName, String portalOwner, 
                               long startTime, String accessIp) {
    userPlugin_.logUserActivities(sessionId, userName, portalOwner, startTime, accessIp) ;    
  }
  
  public void updateLogUserActivities(String sessionId, long currentTime) {
    userPlugin_.updateLogUserActivities(sessionId, currentTime) ;
  }
  public Collection getUserLogChartDatas(UserLogQuery queryData, List style) throws Exception {
    return userPlugin_.getUserLogChartDatas(queryData, style) ;
  }
  
  public PageList getUserLogDatas(UserLogQuery queryData) throws Exception {
    return userPlugin_.getUserLogDatas(queryData) ;
  }
  
  public void  saveMonitorData() throws Exception {
    userPlugin_.saveMonitorData() ;
  }
  
  public void startTimeSlotControl() throws Exception {
    //jsService_.addPeriodJob(new JobInfo(PeriodicTimeSlotJob.class), 0 , 3600*1000) ;
  }
  
  public void updateTimeSlot() throws Exception {
    saveMonitorData() ;
    userPlugin_.updateTime() ;   
  }
}
