package org.exoplatform.services.xml.querying.impl.xtas;

/**
 * Factory prodused XTAS instructions executor
 * @version $Id: QueryProcessorFactory.java 1027 2005-04-05 03:47:13Z tuan08 $ 
 */
public class QueryProcessorFactory {

    private static QueryProcessorFactory instance = null;

    /** @link dependency 
     * @stereotype instantiate*/
    /*# QueryProcessor lnkQueryProcessor; */

    protected QueryProcessorFactory(){}

    public QueryProcessor getProcessor()
    {
        return new QueryProcessor();
    }

    public static QueryProcessorFactory getInstance()
    {
        if (instance == null) {
            instance = new QueryProcessorFactory();
        }
        return instance;
    }
}
