/***************************************************************************
 * Copyright 2001-2003 The eXo Platform SARL         All rights reserved.  *
 * Please look at license.txt in info directory for more license detail.   *
 **************************************************************************/
package org.exoplatform.faces.core.component;

import java.util.ArrayList;
import java.util.List;
import javax.faces.context.FacesContext;
import javax.faces.render.Renderer;
import org.exoplatform.faces.core.component.model.Row;
import org.exoplatform.faces.core.component.model.Rows;
/**
 * Wed, Dec 22, 2003 @ 23:14 
 * @author: Tuan Nguyen
 * @email:   tuan08@users.sourceforge.net
 * @version: $Id: UIGrid.java,v 1.6 2004/08/07 18:11:24 tuan08 Exp $
 */
public class UIGrid extends UIExoCommand {
  //public static final String  COMPONENT_FAMILY = "org.exoplatform.faces.core.component.UIGrid" ;
  private List rows_ ;

  public UIGrid() {
    rows_ = new ArrayList(10) ;
    setRendererType("VelocityRenderer") ;
  }

  final public UIGrid setClazzAndreturn(String clazz) {
    setClazz(clazz) ;
    return this ; 
  }

  final public List getRows() { return rows_ ; }

  public void clear() {
    getChildren().clear() ;
    rows_.clear() ;
  }

  final public UIGrid add(Row row) {
    rows_.add(row) ;
    return this ;
  }
  
  final public UIGrid add(Rows rows) {
    rows_.add(rows) ;
    return this ;
  }
  
  public Renderer getComponentRenderer(FacesContext context) { 
    return getRenderer(context); 
  }
}