/***************************************************************************
 * Copyright 2001-2003 The eXo Platform SARL         All rights reserved.  *
 * Please look at license.txt in info directory for more license detail.   *
 **************************************************************************/
package org.exoplatform.portlets.jvm.component;

import java.util.List;

import org.exoplatform.container.RootContainer;
import org.exoplatform.container.monitor.jvm.JVMRuntimeInfo;
import org.exoplatform.faces.core.component.UIExoComponentBase;
import org.exoplatform.text.ArrayFormater;
/**
 * May 31, 2004 
 * @author: Tuan Nguyen
 * @email:   tuan08@users.sourceforge.net
 * @version: $ID$
 **/
public class UIMemoryManagerInfo extends UIExoComponentBase {
  private static ArrayFormater formater_ = new ArrayFormater(null, ", ") ;
  
  private List mmanagers_ ;
  
	public UIMemoryManagerInfo() {
		setRendererType("VelocityRenderer") ;
    mmanagers_ = 
      (List)RootContainer.getInstance().getComponentInstance(JVMRuntimeInfo.MEMORY_MANAGER_MXBEANS) ;
	}
  
  public ArrayFormater getArrayFormater() { return formater_ ; }
  
  public List getMemoryManagers() { return mmanagers_ ; }
}